import 'package:cpt_main/modules/feedback/feedback_page.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:domain/entity/home_list_entity.dart';
import 'package:flutter/material.dart';
import 'package:shared/utils/util.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';

class PropertyNews extends StatelessWidget {
  final HomeListPropertyNews? news;

  PropertyNews({required this.news});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        MyLoadImage(
          news?.coverImage,
          width: 164.5,
          height: 105,
        ),
        MyTextView(
          news?.title ?? "",
          fontSize: 14,
          marginLeft: 14,
          marginRight: 14,
          marginTop: 15.5,
          maxLines: 4,
          textColor: context.appColors.textBlack,
          isFontRegular: true,
        ).expanded(),
      ],
    )
        .decorated(
          color: context.appColors.whiteBG,
          borderRadius: BorderRadius.circular(5.0), // 5个圆角
          boxShadow: [
            BoxShadow(
              color: const Color(0xFF656565).withOpacity(0.1), // 阴影颜色，并且设置透明度
              offset: const Offset(0, 1.5), // 阴影的偏移量
              blurRadius: 2.5, // 模糊半径
              spreadRadius: 1.5, // 扩散半径
            ),
          ],
        )
        .marginOnly(right: 10)
        .constrained(height: 202.5, width: 165);
  }
}
